;;; gnus
(require 'gnus-load)
(require 'ssl)
(require 'w3m)
(setq gnus-startup-file "~/src/emacs-starter-kit/mail/gnus")
(setq message-directory "~/mail")
(setq gnus-agent-directory "~/mail/agent/")
(setq nndraft-directory "~/mail/drafts/")
(setq mm-text-html-renderer 'w3m) ;; other options is lynx

(setq mail-sources
      '(
        ;; your.name@gmail.com
        (pop :server "pop.gmail.com"
             :port 995
             :user "your.name@gmail.com"
             :password "your-password"
             :stream ssl)
        ;; potentially you also want to pull mail from an imap mail box...
        (imap :server "mail.unm.edu"
              :port 993
              :user "your.name"
              :password "your-password"
              :stream ssl
              :mailbox "inbox")))

;;; smtp
(setq message-send-mail-function 'smtpmail-send-it
      smtpmail-starttls-credentials '(("smtp.gmail.com" 25 nil nil))
      smtpmail-default-smtp-server "smtp.gmail.com"
      smtpmail-smtp-server "smtp.gmail.com"
      smtpmail-smtp-service 25)
